/*******************************************************************************
 * FoxSpecialMove_GroundPound generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxSpecialMove_GroundPound extends FoxSpecialMove_AnimationBase;

var const int MaxDamage;
var const float OptimalDamageRadius;
var const float MaxDamageRadius;
var const float DamageDelay;
var const class<FoxDamageType> DamageType;

simulated function TimerEvent()
{
    PawnOwner.HurtRadius(float(MaxDamage), MaxDamageRadius, DamageType, 100.0, PawnOwner.Location,,, false);
    //return;    
}

simulated function StartSpecialMove()
{
    super.StartSpecialMove();
    // End:0x5F
    if(PawnOwner.Role == ROLE_Authority)
    {
        PawnOwner.SetTimer(DamageDelay, false, 'SpecialMoveEventTimer');
    }
    //return;    
}

defaultproperties
{
    MaxDamage=250
    OptimalDamageRadius=150.0
    MaxDamageRadius=400.0
    DamageDelay=0.750
    DamageType=class'FoxDamageType_HulkGroundPound'
    Anims(0)=(TP_Anim=(AnimName=(GroundSlam_A)),FP_Anim=None,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10)
}